Name: librdmacm
Version: 1.0.15
Release: 2%{?dist}
Summary: Userspace RDMA Connection Manager
Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
Patch1: 0001-rdma-verbs-Fix-race-polling-for-completions.patch
Patch2: 0002-librdmacm-Fix-duplicate-free-of-connect.patch
Patch3: 0003-librdmacm-Verify-size-of-route_len.patch
Patch4: 0004-librdmacm-udaddy-Fix-resource-leak-in-case-of-error.patch
Patch6: 0006-rdma-cma-minor-code-refactoring-when-saving-a-string.patch
Patch7: 0007-librdmacm-Return-ECONNREFUSED-from-rdma_connect-on-r.patch
Patch8: 0008-udaddy-ucmatose-allow-easy-setting-of-tos-in-hex.patch
Patch9: 0009-librdmacm-Update-web-site-and-email-addresses.patch
Patch10: librdmacm-1.0.15-rping-retry.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch: s390 s390x
BuildRequires: libibverbs-devel >= 1.1

%description
librdmacm provides a userspace RDMA Communication Managment API.

%package devel
Summary: Development files for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}, libibverbs-devel%{?_isa}

%description devel
Development files for the librdmacm library.

%package static
Summary: Static development files for the librdmacm library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
Static libraries for the librdmacm library.

%package utils
Summary: Examples for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description utils
Example test programs for the librdmacm library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags} CFLAGS="$CXXFLAGS -fno-strict-aliasing" LDFLAGS="-lpthread"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/librdmacm*.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Wed Oct 03 2012 Doug Ledford <dledford@redhat.com> - 1.0.15-2.el5
- Fix rping over Intel/QLogic hardware
- Resolves: bz847938

* Wed Aug 08 2012 Doug Ledford <dledford@redhat.com> - 1.0.15-1.el5
- Backport rhel6.3 librdmacm package to rhel5.9
- Resolves: bz738698

* Mon Dec 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.10-1.el5
- Bump to latest upstream version
- Rebuild against new libibverbs
- Related: bz518218

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.0.8-5.el5
- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
- Related: bz506258

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.8-4.el5
- Rename tarball to reflect that it's from the OFED 1.4.1 package as the md5sum
  of the ofed version of this tarball and the upstream version of the
  same tarball differ

* Fri Jun 19 2009 Doug Ledford <dledford@redhat.com> - 1.0.8-3.el5
- Recompile against non-XRC libibverbs
- Related: bz506258

* Thu Apr 16 2009 Doug Ledford <dledford@redhat.com> - 1.0.8-2
- Update to the ofed 1.4.1-rc3 librdmacm tarball
- Related: bz459652

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 1.0.8-1
- Update to latest upstream version
- Resolves: bz451460

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.0.7-1
- Update to OFED 1.3 final version
- Related: bz428197

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.0.5-1
- Initial import into CVS
- Related: bz428197

